import React, { useState } from 'react';
import ReactDOM from 'react-dom';

const Dropdown = ({
  options,
  selectedValue,
  onSelectedValueChange,
}) => (
  <select
    name="odzywka"
    id="odezwka"
    onChange={(event) =>
      onSelectedValueChange(event.target.value)
    }
  >
    {options.map(({ value, label }) => (
      <option
        value={value}
        selected={value === selectedValue}
      >
        {label}
      </option>
    ))}
  </select>
);

const options = [
  { value: 'miau', label: 'Miau' },
  { value: 'miaumiau', label: 'Miau Miau' },
  { value: 'buracku', label: 'Buracku' },
];

const App = () => {
  const initialValue = 'miau';
  const [selectedValue, setSelectedValue] = useState(
    initialValue
  );

  console.log(selectedValue);

  return (
    <>
    <div className="message">
      <label for="odezwka">Co chcesz powiedziec?</label>
      <Dropdown
        options={options}
        selectedValue={selectedValue}
        onSelectedValueChange={setSelectedValue}
      />
    </div>
    <div className="duze">{selectedValue}</div>
      </>
  );
};

ReactDOM.render(<App />, document.getElementById('root'));
